Edit

Delete customerReturnReasons

Deletes a customer return reason from Business Central.

HTTP request

Replaces the URL prefix for Business Central depending on environment following the guideline.

DELETE businesscentralPrefix/companies({id})/customerReturnReasons({id})

Request headers

Header Value
Authorization Bearer {token}. Required.
If-Match Required. When this request header is included and the eTag provided doesn't match the current tag on the customerReturnReason, the customerReturnReason won't be updated.

Request body

Don't supply a request body for this method.

Response

If successful, this method returns 204 No Content response code and deletes the customerReturnReason. It doesn't return anything in the response body.

Example

Request

Here's an example of the request.

DELETE https://{businesscentralPrefix}/api/v2.0/companies({id})/customerReturnReasons({id})

Response

Here's an example of the response.

HTTP/1.1 204 No Content

Tips for working with the APIs
customerReturnReason
GET customerReturnReason
POST customerReturnReason
PATCH customerReturnReason